#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 ghcide
version:              1.5.0.1
visibility:           public
id:                   ghcide-1.5.0.1-HJfcAPSgiMj5kGVJhE5mi2
key:                  ghcide-1.5.0.1-HJfcAPSgiMj5kGVJhE5mi2
license:              Apache-2.0
copyright:            Digital Asset and Ghcide contributors 2018-2020
maintainer:           Ghcide contributors
author:               Digital Asset and Ghcide contributors
homepage:
    https://github.com/haskell/haskell-language-server/tree/master/ghcide#readme

synopsis:             The core of an IDE
description:          A library for building Haskell IDE'\''s on top of the GHC API.
category:             Development
abi:                  31c1cac01ac42d0d2455c5caa1b9c06e
exposed:              True
exposed-modules:
    Control.Concurrent.Strict Development.IDE
    Development.IDE.Core.Actions Development.IDE.Core.Compile
    Development.IDE.Core.Debouncer Development.IDE.Core.FileStore
    Development.IDE.Core.IdeConfiguration
    Development.IDE.Core.OfInterest
    Development.IDE.Core.PositionMapping
    Development.IDE.Core.Preprocessor
    Development.IDE.Core.ProgressReporting
    Development.IDE.Core.RuleTypes Development.IDE.Core.Rules
    Development.IDE.Core.Service Development.IDE.Core.Shake
    Development.IDE.Core.Tracing Development.IDE.Core.UseStale
    Development.IDE.GHC.Compat Development.IDE.GHC.Compat.Core
    Development.IDE.GHC.Compat.Env Development.IDE.GHC.Compat.Iface
    Development.IDE.GHC.Compat.Logger
    Development.IDE.GHC.Compat.Outputable
    Development.IDE.GHC.Compat.Parser
    Development.IDE.GHC.Compat.Plugins Development.IDE.GHC.Compat.Units
    Development.IDE.GHC.Compat.Util Development.IDE.GHC.Error
    Development.IDE.GHC.ExactPrint Development.IDE.GHC.Orphans
    Development.IDE.GHC.Util
    Development.IDE.Import.DependencyInformation
    Development.IDE.Import.FindImports
    Development.IDE.LSP.HoverDefinition
    Development.IDE.LSP.LanguageServer Development.IDE.LSP.Outline
    Development.IDE.LSP.Server Development.IDE.Main
    Development.IDE.Plugin Development.IDE.Plugin.CodeAction
    Development.IDE.Plugin.CodeAction.ExactPrint
    Development.IDE.Plugin.Completions
    Development.IDE.Plugin.Completions.Types Development.IDE.Plugin.HLS
    Development.IDE.Plugin.HLS.GhcIde Development.IDE.Plugin.Test
    Development.IDE.Plugin.TypeLenses Development.IDE.Session
    Development.IDE.Spans.AtPoint Development.IDE.Spans.Common
    Development.IDE.Spans.Documentation
    Development.IDE.Spans.LocalBindings
    Development.IDE.Types.Diagnostics Development.IDE.Types.Exports
    Development.IDE.Types.HscEnvEq Development.IDE.Types.KnownTargets
    Development.IDE.Types.Location Development.IDE.Types.Logger
    Development.IDE.Types.Options Development.IDE.Types.Shake
    Generics.SYB.GHC

hidden-modules:
    Development.IDE.Core.FileExists Development.IDE.GHC.CPP
    Development.IDE.GHC.Warnings Development.IDE.LSP.Notifications
    Development.IDE.Plugin.CodeAction.PositionIndexed
    Development.IDE.Plugin.CodeAction.Args
    Development.IDE.Plugin.Completions.Logic
    Development.IDE.Session.VersionCheck Development.IDE.Types.Action
    Text.Fuzzy.Parallel

import-dirs:          /usr/lib/ghc-9.0.2/site-local/ghcide-1.5.0.1
library-dirs:         /usr/lib/ghc-9.0.2/site-local/ghcide-1.5.0.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-ghcide
hs-libraries:         HSghcide-1.5.0.1-HJfcAPSgiMj5kGVJhE5mi2
depends:
    Diff-0.4.1-2jMKpzJJQmAHzE6LyB7Qjk
    Glob-0.10.2-2hpHTQOFOu786tzr1Hmjwm
    aeson-2.1.0.0-3wSqLBA0fU13NhfXDmBpwT
    aeson-pretty-0.8.9-HIKDmSQGmI0DQYiuXhljjd array-0.5.4.0
    async-2.2.4-9EoKZTgytm43s60GeTAIZR base-4.15.1.0
    base16-bytestring-1.0.2.0-JAhsVwuAYUHf0LicTQmUd binary-0.8.8.0
    bytestring-0.10.12.1
    bytestring-encoding-0.1.2.0-6GfMMbvHgCWFfS1J3Wzp2S
    case-insensitive-1.2.1.0-9P0gl8mW2it6Cg0EClpHns containers-0.6.4.1
    cryptohash-sha1-0.11.101.0-JEtkXlImqJm2HHCf1KVLi1
    data-default-0.7.1.1-BkZarJ3J3008hHF2JOuYeW deepseq-1.4.5.0
    dependent-map-0.4.0.0-CtWKqh3WdYc1AtPMs9Qp2i
    dependent-sum-0.7.1.0-5cVuFUxtTBz51MaigKE0Ld directory-1.3.6.2
    dlist-1.0-ImNlUre2rHgIkuGbqNQCOO exceptions-0.10.4
    extra-1.7.12-DPTGYhuNp118MPDFhQYU8g filepath-1.4.2.1
    fingertree-0.1.5.0-GuU5MGfdwFs7iiA40OQObo
    fuzzy-0.1.0.1-5LvCxeeHdorJutL9dTz4gF ghc-9.0.2
    ghc-api-compat-8.6.1-F4jVXTaEYzcGEcFzzf0nwC ghc-boot-9.0.2
    ghc-boot-th-9.0.2 ghc-check-0.5.0.8-It47qHF8tPt9llYSWPO9EP
    ghc-exactprint-0.6.4-6vngUIjPAGkJCcW5GIC4MS
    ghc-paths-0.1.0.12-7fRPaqGgnC488dNzs2elDi
    ghc-trace-events-0.1.2.6-J2i3ZJHv7lYxWrGYKXh9u
    haddock-library-1.10.0-H2ebzKszXHDEPKTZl4XQyW
    hashable-1.4.1.0-LUNCtsUMK7L3ZB2KEKWF7F
    heapsize-0.3.0.1-3Zsp6SPrN7CGqibE6NJj4v
    hie-bios-0.8.1-1qsQqYhNtn1LF9b6BE20AE
    hie-compat-0.2.1.1-ItFnwzZwXKE51zMdASrr2A
    hiedb-0.4.1.0-JQBrmg0D0qFHOKJieIi9hI
    hls-graph-1.5.1.1-9og4qSSPsf57gJvil8kgef
    hls-plugin-api-1.2.0.2-IwxSNuyMKQV51lmrhKHfo2
    hslogger-1.3.1.0-KzlhBMOSSdaFDR3rkwktqA
    implicit-hie-cradle-0.3.0.5-KW9zrQQXPsS82AMOw88wea
    lens-5.1.1-8cVW77ucFRGIbO4yMEfpoM
    lsp-1.2.0.1-BIbkux9XRcr8eYHTTrWW6o
    lsp-types-1.3.0.1-A9OBFtru06V7IJgWtqPrq4
    monoid-subclasses-1.2-KpJUR9c0iusHxJrC7w4bAA mtl-2.2.2
    network-uri-2.6.4.1-CJy9K6CUGBYDMBcoIm8TMq
    opentelemetry-0.8.0-CJ0Y1xrlFGSEKE5VAIXGNS
    optparse-applicative-0.17.0.0-5RAB8jXJau3LDHQVpRHOkD
    parallel-3.2.2.0-D2aleEa2VnPBr164BdKnms
    prettyprinter-1.7.1-Kh082I8LQyjLFudtJnG2xP
    prettyprinter-ansi-terminal-1.1.3-1EdU9xpSi4b31RFlIAEoGC
    regex-tdfa-1.3.2-tNtR2SpOBLAbbzDX5vBu9
    retrie-1.1.0.0-APbxIX7SgIz4PUPER6Pn89
    rope-utf16-splay-0.3.2.0-JTWJbC9FmEXGY8HF1NJNnQ
    safe-0.3.19-2aVM1fCfxX88jnlVeNbd8Q
    safe-exceptions-0.1.7.3-HZC4IlAJVifEZxxuHdLbBc
    sorted-list-0.2.1.0-6jcghXYTAOG6xcHgKgM12R
    sqlite-simple-0.4.18.2-4cxW8Vsh5IphgzhD0Aqzj stm-2.5.0.0
    syb-0.7.2.2-JvKYfJw95RM7Y4GXhTvfdV text-1.2.5.0 time-1.9.3
    transformers-0.5.6.2 unix-2.7.2.2
    unliftio-0.2.23.0-CWws5v3UmoI2aQwTBbEr3I
    unliftio-core-0.2.0.1-HjGpVpPktr5Bc3kYrL6LtS
    unordered-containers-0.2.19.1-1t66PwyRMuzEgWVME6Xx4r
    utf8-string-1.0.2-Fg3PN5UX3ZfnukMwwaDpj
    vector-0.13.0.0-80dNWv5W93FGfZf7Ao5mAf
    vector-algorithms-0.9.0.1-9xTmSJPLRpg8wi1rI1i3UR

haddock-interfaces:   /usr/share/doc/haskell-ghcide/html/ghcide.haddock
haddock-html:         /usr/share/doc/haskell-ghcide/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

